
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for analytics-1724.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="index.html">All files</a> analytics-1724.js</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">16.28% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>14/86</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">100% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>246/246</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">100% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/0</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">16.28% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>14/86</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line low'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a>
<a name='L38'></a><a href='#L38'>38</a>
<a name='L39'></a><a href='#L39'>39</a>
<a name='L40'></a><a href='#L40'>40</a>
<a name='L41'></a><a href='#L41'>41</a>
<a name='L42'></a><a href='#L42'>42</a>
<a name='L43'></a><a href='#L43'>43</a>
<a name='L44'></a><a href='#L44'>44</a>
<a name='L45'></a><a href='#L45'>45</a>
<a name='L46'></a><a href='#L46'>46</a>
<a name='L47'></a><a href='#L47'>47</a>
<a name='L48'></a><a href='#L48'>48</a>
<a name='L49'></a><a href='#L49'>49</a>
<a name='L50'></a><a href='#L50'>50</a>
<a name='L51'></a><a href='#L51'>51</a>
<a name='L52'></a><a href='#L52'>52</a>
<a name='L53'></a><a href='#L53'>53</a>
<a name='L54'></a><a href='#L54'>54</a>
<a name='L55'></a><a href='#L55'>55</a>
<a name='L56'></a><a href='#L56'>56</a>
<a name='L57'></a><a href='#L57'>57</a>
<a name='L58'></a><a href='#L58'>58</a>
<a name='L59'></a><a href='#L59'>59</a>
<a name='L60'></a><a href='#L60'>60</a>
<a name='L61'></a><a href='#L61'>61</a>
<a name='L62'></a><a href='#L62'>62</a>
<a name='L63'></a><a href='#L63'>63</a>
<a name='L64'></a><a href='#L64'>64</a>
<a name='L65'></a><a href='#L65'>65</a>
<a name='L66'></a><a href='#L66'>66</a>
<a name='L67'></a><a href='#L67'>67</a>
<a name='L68'></a><a href='#L68'>68</a>
<a name='L69'></a><a href='#L69'>69</a>
<a name='L70'></a><a href='#L70'>70</a>
<a name='L71'></a><a href='#L71'>71</a>
<a name='L72'></a><a href='#L72'>72</a>
<a name='L73'></a><a href='#L73'>73</a>
<a name='L74'></a><a href='#L74'>74</a>
<a name='L75'></a><a href='#L75'>75</a>
<a name='L76'></a><a href='#L76'>76</a>
<a name='L77'></a><a href='#L77'>77</a>
<a name='L78'></a><a href='#L78'>78</a>
<a name='L79'></a><a href='#L79'>79</a>
<a name='L80'></a><a href='#L80'>80</a>
<a name='L81'></a><a href='#L81'>81</a>
<a name='L82'></a><a href='#L82'>82</a>
<a name='L83'></a><a href='#L83'>83</a>
<a name='L84'></a><a href='#L84'>84</a>
<a name='L85'></a><a href='#L85'>85</a>
<a name='L86'></a><a href='#L86'>86</a></td><td class="line-coverage quiet"><span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-yes">1x</span></td><td class="text"><pre class="prettyprint lang-js">(function(){/*
&nbsp;
 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
<span class="cstat-no" title="statement not covered" >var m=this||self,n=function(a,b){a=a.split(".");var c=m;a[0]in c||"undefined"==typeof c.execScript||c.execScript("var "+a[0]);for(var d;a.length&amp;&amp;(d=a.shift());)a.length||void 0===b?c=c[d]&amp;&amp;c[d]!==Object.prototype[d]?c[d]:c[d]={}:c[d]=b};var p=function(a,b){for(var c in b)b.hasOwnProperty(c)&amp;&amp;(a[c]=b[c])},q=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1};var r=window,t=document,u=function(a,b){t.addEventListener?t.addEventListener(a,b,!1):t.attachEvent&amp;&amp;t.attachEvent("on"+a,b)};var v=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var w={},x=function(){w.TAGGING=w.TAGGING||[];w.TAGGING[1]=!0};var y=/:[0-9]+$/,A=function(a,b){b&amp;&amp;(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=z(a.protocol)||z(r.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:r.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&amp;&amp;(a.hostname=(a.hostname||r.location.hostname).replace(y,"").toLowerCase());var c=z(a.protocol);b&amp;&amp;(b=String(b).toLowerCase());switch(b){case "url_no_fragment":b="";a&amp;&amp;a.href&amp;&amp;(b=a.href.indexOf("#"),b=0&gt;b?a.href:a.href.substr(0,</span>
<span class="cstat-no" title="statement not covered" >b));a=b;break;case "protocol":a=c;break;case "host":a=a.hostname.replace(y,"").toLowerCase();break;case "port":a=String(Number(a.port)||("http"==c?80:"https"==c?443:""));break;case "path":a.pathname||a.hostname||x();a="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;a=a.split("/");a:if(b=[],c=a[a.length-1],Array.prototype.indexOf)b=b.indexOf(c),b="number"==typeof b?b:-1;else{for(var d=0;d&lt;b.length;d++)if(b[d]===c){b=d;break a}b=-1}0&lt;=b&amp;&amp;(a[a.length-1]="");a=a.join("/");break;case "query":a=a.search.replace("?",</span>
<span class="cstat-no" title="statement not covered" >"");break;case "extension":a=a.pathname.split(".");a=1&lt;a.length?a[a.length-1]:"";a=a.split("/")[0];break;case "fragment":a=a.hash.replace("#","");break;default:a=a&amp;&amp;a.href}return a},z=function(a){return a?a.replace(":","").toLowerCase():""},B=function(a){var b=t.createElement("a");a&amp;&amp;(b.href=a);var c=b.pathname;"/"!==c[0]&amp;&amp;(a||x(),c="/"+c);a=b.hostname.replace(y,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:a,pathname:c,search:b.search,hash:b.hash,port:b.port}};function C(){for(var a=D,b={},c=0;c&lt;a.length;++c)b[a[c]]=c;return b}function E(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var D,F;function G(a){D=D||E();F=F||C();for(var b=[],c=0;c&lt;a.length;c+=3){var d=c+1&lt;a.length,f=c+2&lt;a.length,e=a.charCodeAt(c),g=d?a.charCodeAt(c+1):0,h=f?a.charCodeAt(c+2):0,k=e&gt;&gt;2;e=(e&amp;3)&lt;&lt;4|g&gt;&gt;4;g=(g&amp;15)&lt;&lt;2|h&gt;&gt;6;h&amp;=63;f||(h=64,d||(g=64));b.push(D[k],D[e],D[g],D[h])}return b.join("")}</span>
<span class="cstat-no" title="statement not covered" >function H(a){function b(k){for(;d&lt;a.length;){var l=a.charAt(d++),M=F[l];if(null!=M)return M;if(!/^[\s\xa0]*$/.test(l))throw Error("Unknown base64 encoding at char: "+l);}return k}D=D||E();F=F||C();for(var c="",d=0;;){var f=b(-1),e=b(0),g=b(64),h=b(64);if(64===h&amp;&amp;-1===f)return c;c+=String.fromCharCode(f&lt;&lt;2|e&gt;&gt;4);64!=g&amp;&amp;(c+=String.fromCharCode(e&lt;&lt;4&amp;240|g&gt;&gt;2),64!=h&amp;&amp;(c+=String.fromCharCode(g&lt;&lt;6&amp;192|h)))}};var I;var N=function(){var a=J,b=K,c=L(),d=function(g){a(g.target||g.srcElement||{})},f=function(g){b(g.target||g.srcElement||{})};if(!c.init){u("mousedown",d);u("keyup",d);u("submit",f);var e=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);e.call(this)};c.init=!0}},O=function(a,b,c){for(var d=L().decorators,f={},e=0;e&lt;d.length;++e){var g=d[e],h;if(h=!c||g.forms)a:{h=g.domains;var k=a;if(h&amp;&amp;(g.sameHost||k!==t.location.hostname))for(var l=0;l&lt;h.length;l++)if(h[l]instanceof</span>
<span class="cstat-no" title="statement not covered" >RegExp){if(h[l].test(k)){h=!0;break a}}else if(0&lt;=k.indexOf(h[l])){h=!0;break a}h=!1}h&amp;&amp;(h=g.placement,void 0==h&amp;&amp;(h=g.fragment?2:1),h===b&amp;&amp;p(f,g.callback()))}return f},L=function(){var a={};var b=r.google_tag_data;r.google_tag_data=void 0===b?a:b;a=r.google_tag_data;b=a.gl;b&amp;&amp;b.decorators||(b={decorators:[]},a.gl=b);return b};var P=/(.*?)\*(.*?)\*(.*)/,aa=/([^?#]+)(\?[^#]*)?(#.*)?/;function Q(a){return new RegExp("(.*?)(^|&amp;)"+a+"=([^&amp;]*)&amp;?(.*)")}</span>
<span class="cstat-no" title="statement not covered" >var S=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];void 0!==d&amp;&amp;d===d&amp;&amp;null!==d&amp;&amp;"[object Object]"!==d.toString()&amp;&amp;(b.push(c),b.push(G(String(d))))}a=b.join("*");return["1",R(a),a].join("*")},R=function(a,b){a=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*");if(!(b=I)){b=Array(256);for(var c=0;256&gt;c;c++){for(var d=c,f=0;8&gt;f;f++)d=d&amp;1?d&gt;&gt;&gt;1^</span>
<span class="cstat-no" title="statement not covered" >3988292384:d&gt;&gt;&gt;1;b[c]=d}}I=b;b=4294967295;for(c=0;c&lt;a.length;c++)b=b&gt;&gt;&gt;8^I[(b^a.charCodeAt(c))&amp;255];return((b^-1)&gt;&gt;&gt;0).toString(36)},ca=function(a){return function(b){var c=B(r.location.href),d=c.search.replace("?","");a:{var f=d.split("&amp;");for(var e=0;e&lt;f.length;e++){var g=f[e].split("=");if("_gl"===decodeURIComponent(g[0]).replace(/\+/g," ")){f=g.slice(1).join("=");break a}}f=void 0}b.query=T(f||"")||{};f=A(c,"fragment");e=f.match(Q("_gl"));b.fragment=T(e&amp;&amp;e[3]||"")||{};a&amp;&amp;ba(c,d,f)}};</span>
<span class="cstat-no" title="statement not covered" >function U(a,b){if(a=Q(a).exec(b)){var c=a[2],d=a[4];b=a[1];d&amp;&amp;(b=b+c+d)}return b}</span>
<span class="cstat-no" title="statement not covered" >var ba=function(a,b,c){function d(e,g){e=U("_gl",e);e.length&amp;&amp;(e=g+e);return e}if(r.history&amp;&amp;r.history.replaceState){var f=Q("_gl");if(f.test(b)||f.test(c))a=A(a,"path"),b=d(b,"?"),c=d(c,"#"),r.history.replaceState({},void 0,""+a+b+c)}},T=function(a){var b=void 0===b?3:b;try{if(a){a:{for(var c=0;3&gt;c;++c){var d=P.exec(a);if(d){var f=d;break a}a=decodeURIComponent(a)}f=void 0}if(f&amp;&amp;"1"===f[1]){var e=f[2],g=f[3];a:{for(f=0;f&lt;b;++f)if(e===R(g,f)){var h=!0;break a}h=!1}if(h){b={};var k=g?g.split("*"):</span>
<span class="cstat-no" title="statement not covered" >[];for(g=0;g&lt;k.length;g+=2)b[k[g]]=H(k[g+1]);return b}}}}catch(l){}};function V(a,b,c,d){function f(k){k=U(a,k);var l=k.charAt(k.length-1);k&amp;&amp;"&amp;"!==l&amp;&amp;(k+="&amp;");return k+h}d=void 0===d?!1:d;var e=aa.exec(c);if(!e)return"";c=e[1];var g=e[2]||"";e=e[3]||"";var h=a+"="+b;d?e="#"+f(e.substring(1)):g="?"+f(g.substring(1));return""+c+g+e}</span>
<span class="cstat-no" title="statement not covered" >function W(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=O(b,1,c),f=O(b,2,c);b=O(b,3,c);q(d)&amp;&amp;(d=S(d),c?X("_gl",d,a):Y("_gl",d,a,!1));!c&amp;&amp;q(f)&amp;&amp;(c=S(f),Y("_gl",c,a,!0));for(var e in b)b.hasOwnProperty(e)&amp;&amp;Z(e,b[e],a)}function Z(a,b,c,d){if(c.tagName){if("a"===c.tagName.toLowerCase())return Y(a,b,c,d);if("form"===c.tagName.toLowerCase())return X(a,b,c)}if("string"==typeof c)return V(a,b,c,d)}function Y(a,b,c,d){c.href&amp;&amp;(a=V(a,b,c.href,void 0===d?!1:d),v.test(a)&amp;&amp;(c.href=a))}</span>
<span class="cstat-no" title="statement not covered" >function X(a,b,c){if(c&amp;&amp;c.action){var d=(c.method||"").toLowerCase();if("get"===d){d=c.childNodes||[];for(var f=!1,e=0;e&lt;d.length;e++){var g=d[e];if(g.name===a){g.setAttribute("value",b);f=!0;break}}f||(d=t.createElement("input"),d.setAttribute("type","hidden"),d.setAttribute("name",a),d.setAttribute("value",b),c.appendChild(d))}else"post"===d&amp;&amp;(a=V(a,b,c.action),v.test(a)&amp;&amp;(c.action=a))}}</span>
<span class="cstat-no" title="statement not covered" >var J=function(a){try{a:{for(var b=100;a&amp;&amp;0&lt;b;){if(a.href&amp;&amp;a.nodeName.match(/^a(?:rea)?$/i)){var c=a;break a}a=a.parentNode;b--}c=null}if(c){var d=c.protocol;"http:"!==d&amp;&amp;"https:"!==d||W(c,c.hostname)}}catch(f){}},K=function(a){try{if(a.action){var b=A(B(a.action),"host");W(a,b)}}catch(c){}};n("google_tag_data.glBridge.auto",function(a,b,c,d){N();c="fragment"===c?2:1;a={callback:a,domains:b,fragment:2===c,placement:c,forms:!!d,sameHost:!1};L().decorators.push(a)});n("google_tag_data.glBridge.decorate",function(a,b,c){a=S(a);return Z("_gl",a,b,!!c)});n("google_tag_data.glBridge.generate",S);n("google_tag_data.glBridge.get",function(a,b){var c=ca(!!b);b=L();b.data||(b.data={query:{},fragment:{}},c(b.data));c={};if(b=b.data)p(c,b.query),a&amp;&amp;p(c,b.fragment);return c});})(window);</span>
(function(){function La(a){var b=1,c;if(a)for(b=0,c=a.length-1;0&lt;=c;c--){var d=a.charCodeAt(c);b=(b&lt;&lt;6&amp;268435455)+d+(d&lt;&lt;14);d=b&amp;266338304;b=0!=d?b^d&gt;&gt;21:b}return b};/*
&nbsp;
 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
<span class="cstat-no" title="statement not covered" >var $c=function(a){this.w=a||[]};$c.prototype.set=function(a){this.w[a]=!0};$c.prototype.encode=function(){for(var a=[],b=0;b&lt;this.w.length;b++)this.w[b]&amp;&amp;(a[Math.floor(b/6)]^=1&lt;&lt;b%6);for(b=0;b&lt;a.length;b++)a[b]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(a[b]||0);return a.join("")+"~"};var ha=window.GoogleAnalyticsObject,F;if(F=void 0!=ha)F=-1&lt;(ha.constructor+"").indexOf("String");var wa;if(wa=F){var Ea=window.GoogleAnalyticsObject;wa=Ea?Ea.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""):""}var gb=wa||"ga",jd=/^(?:utma\.)?\d+\.\d+$/,kd=/^amp-[\w.-]{22,64}$/,Ba=!1;var vd=new $c;function J(a){vd.set(a)}var Td=function(a){a=Dd(a);a=new $c(a);for(var b=vd.w.slice(),c=0;c&lt;a.w.length;c++)b[c]=b[c]||a.w[c];return(new $c(b)).encode()},Dd=function(a){a=a.get(Gd);ka(a)||(a=[]);return a};var ea=function(a){return"function"==typeof a},ka=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},qa=function(a){return void 0!=a&amp;&amp;-1&lt;(a.constructor+"").indexOf("String")},D=function(a,b){return 0==a.indexOf(b)},sa=function(a){return a?a.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""):""},ra=function(){for(var a=O.navigator.userAgent+(M.cookie?M.cookie:"")+(M.referrer?M.referrer:""),b=a.length,c=O.history.length;0&lt;c;)a+=c--^b++;return[hd()^La(a)&amp;2147483647,Math.round((new Date).getTime()/</span>
<span class="cstat-no" title="statement not covered" >1E3)].join(".")},ta=function(a){var b=M.createElement("img");b.width=1;b.height=1;b.src=a;return b},ua=function(){},K=function(a){if(encodeURIComponent instanceof Function)return encodeURIComponent(a);J(28);return a},L=function(a,b,c,d){try{a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&amp;&amp;a.attachEvent("on"+b,c)}catch(e){J(27)}},f=/^[\w\-:/.?=&amp;%!\[\]]+$/,Nd=/^[\w+/_-]+[=]{0,2}$/,be=function(a,b){return E(M.location[b?"href":"search"],a)},E=function(a,b){return(a=a.match("(?:&amp;|#|\\?)"+</span>
<span class="cstat-no" title="statement not covered" >K(b).replace(/([.*+?^=!:${}()|\[\]\/\\])/g,"\\$1")+"=([^&amp;#]*)"))&amp;&amp;2==a.length?a[1]:""},xa=function(){var a=""+M.location.hostname;return 0==a.indexOf("www.")?a.substring(4):a},de=function(a,b){var c=a.indexOf(b);if(5==c||6==c)if(a=a.charAt(c+b.length),"/"==a||"?"==a||""==a||":"==a)return!0;return!1},ya=function(a,b){var c=M.referrer;if(/^(https?|android-app):\/\//i.test(c)){if(a)return c;a="//"+M.location.hostname;if(!de(c,a))return b&amp;&amp;(b=a.replace(/\./g,"-")+".cdn.ampproject.org",de(c,b))?void 0:</span>
<span class="cstat-no" title="statement not covered" >c}},za=function(a,b){if(1==b.length&amp;&amp;null!=b[0]&amp;&amp;"object"===typeof b[0])return b[0];for(var c={},d=Math.min(a.length+1,b.length),e=0;e&lt;d;e++)if("object"===typeof b[e]){for(var g in b[e])b[e].hasOwnProperty(g)&amp;&amp;(c[g]=b[e][g]);break}else e&lt;a.length&amp;&amp;(c[a[e]]=b[e]);return c};var ee=function(){this.keys=[];this.values={};this.m={}};ee.prototype.set=function(a,b,c){this.keys.push(a);c?this.m[":"+a]=b:this.values[":"+a]=b};ee.prototype.get=function(a){return this.m.hasOwnProperty(":"+a)?this.m[":"+a]:this.values[":"+a]};ee.prototype.map=function(a){for(var b=0;b&lt;this.keys.length;b++){var c=this.keys[b],d=this.get(c);d&amp;&amp;a(c,d)}};var O=window,M=document,va=function(a,b){return setTimeout(a,b)};var Qa=window,Za=document,G=function(a){var b=Qa._gaUserPrefs;if(b&amp;&amp;b.ioo&amp;&amp;b.ioo()||a&amp;&amp;!0===Qa["ga-disable-"+a])return!0;try{var c=Qa.external;if(c&amp;&amp;c._gaUserPrefs&amp;&amp;"oo"==c._gaUserPrefs)return!0}catch(g){}a=[];b=String(Za.cookie).split(";");for(c=0;c&lt;b.length;c++){var d=b[c].split("="),e=d[0].replace(/^\s*|\s*$/g,"");e&amp;&amp;"AMP_TOKEN"==e&amp;&amp;((d=d.slice(1).join("=").replace(/^\s*|\s*$/g,""))&amp;&amp;(d=decodeURIComponent(d)),a.push(d))}for(b=0;b&lt;a.length;b++)if("$OPT_OUT"==a[b])return!0;return Za.getElementById("__gaOptOutExtension")?</span>
<span class="cstat-no" title="statement not covered" >!0:!1};var Ca=function(a){var b=[],c=M.cookie.split(";");a=new RegExp("^\\s*"+a+"=\\s*(.*?)\\s*$");for(var d=0;d&lt;c.length;d++){var e=c[d].match(a);e&amp;&amp;b.push(e[1])}return b},zc=function(a,b,c,d,e,g,ca){e=G(e)?!1:eb.test(M.location.hostname)||"/"==c&amp;&amp;vc.test(d)?!1:!0;if(!e)return!1;b&amp;&amp;1200&lt;b.length&amp;&amp;(b=b.substring(0,1200));c=a+"="+b+"; path="+c+"; ";g&amp;&amp;(c+="expires="+(new Date((new Date).getTime()+g)).toGMTString()+"; ");d&amp;&amp;"none"!==d&amp;&amp;(c+="domain="+d+";");ca&amp;&amp;(c+=ca+";");d=M.cookie;M.cookie=c;if(!(d=d!=M.cookie))a:{a=</span>
<span class="cstat-no" title="statement not covered" >Ca(a);for(d=0;d&lt;a.length;d++)if(b==a[d]){d=!0;break a}d=!1}return d},Cc=function(a){return encodeURIComponent?encodeURIComponent(a).replace(/\(/g,"%28").replace(/\)/g,"%29"):a},vc=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,eb=/(^|\.)doubleclick\.net$/i;var oc,Id=/^.*Version\/?(\d+)[^\d].*$/i,ne=function(){if(void 0!==O.__ga4__)return O.__ga4__;if(void 0===oc){var a=O.navigator.userAgent;if(a){var b=a;try{b=decodeURIComponent(a)}catch(c){}if(a=!(0&lt;=b.indexOf("Chrome"))&amp;&amp;!(0&lt;=b.indexOf("CriOS"))&amp;&amp;(0&lt;=b.indexOf("Safari/")||0&lt;=b.indexOf("Safari,")))b=Id.exec(b),a=11&lt;=(b?Number(b[1]):-1);oc=a}else oc=!1}return oc};var Fa,Ga,fb,Ab,ja=/^https?:\/\/[^/]*cdn\.ampproject\.org\//,Ue=/^(?:www\.|m\.|amp\.)+/,Ub=[],da=function(a){if(ye(a[Kd])){if(void 0===Ab){var b;if(b=(b=De.get())&amp;&amp;b._ga||void 0)Ab=b,J(81)}if(void 0!==Ab)return a[Q]||(a[Q]=Ab),!1}if(a[Kd]){J(67);if(a[ac]&amp;&amp;"cookie"!=a[ac])return!1;if(void 0!==Ab)a[Q]||(a[Q]=Ab);else{a:{b=String(a[W]||xa());var c=String(a[Yb]||"/"),d=Ca(String(a[U]||"_ga"));b=na(d,b,c);if(!b||jd.test(b))b=!0;else if(b=Ca("AMP_TOKEN"),0==b.length)b=!0;else{if(1==b.length&amp;&amp;(b=decodeURIComponent(b[0]),</span>
<span class="cstat-no" title="statement not covered" >"$RETRIEVING"==b||"$OPT_OUT"==b||"$ERROR"==b||"$NOT_FOUND"==b)){b=!0;break a}b=!1}}if(b&amp;&amp;tc(ic,String(a[Na])))return!0}}return!1},ic=function(){Z.D([ua])},tc=function(a,b){var c=Ca("AMP_TOKEN");if(1&lt;c.length)return J(55),!1;c=decodeURIComponent(c[0]||"");if("$OPT_OUT"==c||"$ERROR"==c||G(b))return J(62),!1;if(!ja.test(M.referrer)&amp;&amp;"$NOT_FOUND"==c)return J(68),!1;if(void 0!==Ab)return J(56),va(function(){a(Ab)},0),!0;if(Fa)return Ub.push(a),!0;if("$RETRIEVING"==c)return J(57),va(function(){tc(a,b)},</span>
<span class="cstat-no" title="statement not covered" >1E4),!0;Fa=!0;c&amp;&amp;"$"!=c[0]||(xc("$RETRIEVING",3E4),setTimeout(Mc,3E4),c="");return Pc(c,b)?(Ub.push(a),!0):!1},Pc=function(a,b,c){if(!window.JSON)return J(58),!1;var d=O.XMLHttpRequest;if(!d)return J(59),!1;var e=new d;if(!("withCredentials"in e))return J(60),!1;e.open("POST",(c||"https://ampcid.google.com/v1/publisher:getClientId")+"?key=AIzaSyA65lEHUEizIsNtlbNo-l2K18dT680nsaM",!0);e.withCredentials=!0;e.setRequestHeader("Content-Type","text/plain");e.onload=function(){Fa=!1;if(4==e.readyState){try{200!=</span>
<span class="cstat-no" title="statement not covered" >e.status&amp;&amp;(J(61),Qc("","$ERROR",3E4));var g=JSON.parse(e.responseText);g.optOut?(J(63),Qc("","$OPT_OUT",31536E6)):g.clientId?Qc(g.clientId,g.securityToken,31536E6):!c&amp;&amp;g.alternateUrl?(Ga&amp;&amp;clearTimeout(Ga),Fa=!0,Pc(a,b,g.alternateUrl)):(J(64),Qc("","$NOT_FOUND",36E5))}catch(ca){J(65),Qc("","$ERROR",3E4)}e=null}};d={originScope:"AMP_ECID_GOOGLE"};a&amp;&amp;(d.securityToken=a);e.send(JSON.stringify(d));Ga=va(function(){J(66);Qc("","$ERROR",3E4)},1E4);return!0},Mc=function(){Fa=!1},xc=function(a,b){if(void 0===</span>
<span class="cstat-no" title="statement not covered" >fb){fb="";for(var c=id(),d=0;d&lt;c.length;d++){var e=c[d];if(zc("AMP_TOKEN",encodeURIComponent(a),"/",e,"",b)){fb=e;return}}}zc("AMP_TOKEN",encodeURIComponent(a),"/",fb,"",b)},Qc=function(a,b,c){Ga&amp;&amp;clearTimeout(Ga);b&amp;&amp;xc(b,c);Ab=a;b=Ub;Ub=[];for(c=0;c&lt;b.length;c++)b[c](a)},ye=function(a){a:{if(ja.test(M.referrer)){var b=M.location.hostname.replace(Ue,"");b:{var c=M.referrer;c=c.replace(/^https?:\/\//,"");var d=c.replace(/^[^/]+/,"").split("/"),e=d[2];d=(d="s"==e?d[3]:e)?decodeURIComponent(d):d;if(!d){if(0==</span>
<span class="cstat-no" title="statement not covered" >c.indexOf("xn--")){c="";break b}(c=c.match(/(.*)\.cdn\.ampproject\.org\/?$/))&amp;&amp;2==c.length&amp;&amp;(d=c[1].replace(/-/g,".").replace(/\.\./g,"-"))}c=d?d.replace(Ue,""):""}(d=b===c)||(c="."+c,d=b.substring(b.length-c.length,b.length)===c);if(d){b=!0;break a}else J(78)}b=!1}return b&amp;&amp;!1!==a};var bd=function(a){return(a?"https:":Ba||"https:"==M.location.protocol?"https:":"http:")+"//www.google-analytics.com"},Da=function(a){this.name="len";this.message=a+"-8192"},ba=function(a,b,c){c=c||ua;if(2036&gt;=b.length)wc(a,b,c);else if(8192&gt;=b.length)x(a,b,c)||wd(a,b,c)||wc(a,b,c);else throw ge("len",b.length),new Da(b.length);},pe=function(a,b,c,d){d=d||ua;wd(a+"?"+b,"",d,c)},wc=function(a,b,c){var d=ta(a+"?"+b);d.onload=d.onerror=function(){d.onload=null;d.onerror=null;c()}},wd=function(a,b,c,</span>
<span class="cstat-no" title="statement not covered" >d){var e=O.XMLHttpRequest;if(!e)return!1;var g=new e;if(!("withCredentials"in g))return!1;a=a.replace(/^http:/,"https:");g.open("POST",a,!0);g.withCredentials=!0;g.setRequestHeader("Content-Type","text/plain");g.onreadystatechange=function(){if(4==g.readyState){if(d)try{var ca=g.responseText;if(1&gt;ca.length)ge("xhr","ver","0"),c();else if("1"!=ca.charAt(0))ge("xhr","ver",String(ca.length)),c();else if(3&lt;d.count++)ge("xhr","tmr",""+d.count),c();else if(1==ca.length)c();else{var l=ca.charAt(1);if("d"==</span>
<span class="cstat-no" title="statement not covered" >l)pe("https://stats.g.doubleclick.net/j/collect",d.U,d,c);else if("g"==l){wc("https://www.google.%/ads/ga-audiences".replace("%","com"),d.google,c);var k=ca.substring(2);k&amp;&amp;(/^[a-z.]{1,6}$/.test(k)?wc("https://www.google.%/ads/ga-audiences".replace("%",k),d.google,ua):ge("tld","bcc",k))}else ge("xhr","brc",l),c()}}catch(w){ge("xhr","rsp"),c()}else c();g=null}};g.send(b);return!0},x=function(a,b,c){return O.navigator.sendBeacon?O.navigator.sendBeacon(a,b)?(c(),!0):!1:!1},ge=function(a,b,c){1&lt;=100*</span>
<span class="cstat-no" title="statement not covered" >Math.random()||G("?")||(a=["t=error","_e="+a,"_v=j82","sr=1"],b&amp;&amp;a.push("_f="+b),c&amp;&amp;a.push("_m="+K(c.substring(0,100))),a.push("aip=1"),a.push("z="+hd()),wc(bd(!0)+"/u/d",a.join("&amp;"),ua))};var qc=function(){return O.gaData=O.gaData||{}},h=function(a){var b=qc();return b[a]=b[a]||{}};var Ha=function(){this.M=[]};Ha.prototype.add=function(a){this.M.push(a)};Ha.prototype.D=function(a){try{for(var b=0;b&lt;this.M.length;b++){var c=a.get(this.M[b]);c&amp;&amp;ea(c)&amp;&amp;c.call(O,a)}}catch(d){}b=a.get(Ia);b!=ua&amp;&amp;ea(b)&amp;&amp;(a.set(Ia,ua,!0),setTimeout(b,10))};function Ja(a){if(100!=a.get(Ka)&amp;&amp;La(P(a,Q))%1E4&gt;=100*R(a,Ka))throw"abort";}function Ma(a){if(G(P(a,Na)))throw"abort";}function Oa(){var a=M.location.protocol;if("http:"!=a&amp;&amp;"https:"!=a)throw"abort";}</span>
<span class="cstat-no" title="statement not covered" >function Pa(a){try{O.navigator.sendBeacon?J(42):O.XMLHttpRequest&amp;&amp;"withCredentials"in new O.XMLHttpRequest&amp;&amp;J(40)}catch(c){}a.set(ld,Td(a),!0);a.set(Ac,R(a,Ac)+1);var b=[];ue.map(function(c,d){d.F&amp;&amp;(c=a.get(c),void 0!=c&amp;&amp;c!=d.defaultValue&amp;&amp;("boolean"==typeof c&amp;&amp;(c*=1),b.push(d.F+"="+K(""+c))))});!1===a.get(xe)&amp;&amp;b.push("npa=1");b.push("z="+Bd());a.set(Ra,b.join("&amp;"),!0)}</span>
<span class="cstat-no" title="statement not covered" >function Sa(a){var b=P(a,fa);!b&amp;&amp;a.get(Vd)&amp;&amp;(b="beacon");var c=P(a,gd),d=P(a,oe),e=c||(d||bd(!1)+"")+"/collect";switch(P(a,ad)){case "d":e=c||(d||bd(!1)+"")+"/j/collect";b=a.get(qe)||void 0;pe(e,P(a,Ra),b,a.Z(Ia));break;case "b":e=c||(d||bd(!1)+"")+"/r/collect";default:b?(c=P(a,Ra),d=(d=a.Z(Ia))||ua,"image"==b?wc(e,c,d):"xhr"==b&amp;&amp;wd(e,c,d)||"beacon"==b&amp;&amp;x(e,c,d)||ba(e,c,d)):ba(e,P(a,Ra),a.Z(Ia))}e=P(a,Na);e=h(e);b=e.hitcount;e.hitcount=b?b+1:1;e.first_hit||(e.first_hit=(new Date).getTime());e=P(a,</span>
<span class="cstat-no" title="statement not covered" >Na);delete h(e).pending_experiments;a.set(Ia,ua,!0)}function Hc(a){qc().expId&amp;&amp;a.set(Nc,qc().expId);qc().expVar&amp;&amp;a.set(Oc,qc().expVar);var b=P(a,Na);if(b=h(b).pending_experiments){var c=[];for(d in b)b.hasOwnProperty(d)&amp;&amp;b[d]&amp;&amp;c.push(encodeURIComponent(d)+"."+encodeURIComponent(b[d]));var d=c.join("!")}else d=void 0;d&amp;&amp;a.set(m,d,!0)}function cd(){if(O.navigator&amp;&amp;"preview"==O.navigator.loadPurpose)throw"abort";}</span>
<span class="cstat-no" title="statement not covered" >function yd(a){var b=O.gaDevIds||[];if(ka(b)){var c=a.get("&amp;did");qa(c)&amp;&amp;0&lt;c.length&amp;&amp;(b=b.concat(c.split(",")));c=[];for(var d=0;d&lt;b.length;d++){var e;a:{for(e=0;e&lt;c.length;e++)if(b[d]==c[e]){e=!0;break a}e=!1}e||c.push(b[d])}0!=c.length&amp;&amp;a.set("&amp;did",c.join(","),!0)}}function vb(a){if(!a.get(Na))throw"abort";};var hd=function(){return Math.round(2147483647*Math.random())},Bd=function(){try{var a=new Uint32Array(1);O.crypto.getRandomValues(a);return a[0]&amp;2147483647}catch(b){return hd()}};function Ta(a){var b=R(a,Ua);500&lt;=b&amp;&amp;J(15);var c=P(a,Va);if("transaction"!=c&amp;&amp;"item"!=c){c=R(a,Wa);var d=(new Date).getTime(),e=R(a,Xa);0==e&amp;&amp;a.set(Xa,d);e=Math.round(2*(d-e)/1E3);0&lt;e&amp;&amp;(c=Math.min(c+e,20),a.set(Xa,d));if(0&gt;=c)throw"abort";a.set(Wa,--c)}a.set(Ua,++b)};var Ya=function(){this.data=new ee};Ya.prototype.get=function(a){var b=$a(a),c=this.data.get(a);b&amp;&amp;void 0==c&amp;&amp;(c=ea(b.defaultValue)?b.defaultValue():b.defaultValue);return b&amp;&amp;b.Z?b.Z(this,a,c):c};var P=function(a,b){a=a.get(b);return void 0==a?"":""+a},R=function(a,b){a=a.get(b);return void 0==a||""===a?0:Number(a)};Ya.prototype.Z=function(a){return(a=this.get(a))&amp;&amp;ea(a)?a:ua};</span>
<span class="cstat-no" title="statement not covered" >Ya.prototype.set=function(a,b,c){if(a)if("object"==typeof a)for(var d in a)a.hasOwnProperty(d)&amp;&amp;ab(this,d,a[d],c);else ab(this,a,b,c)};var ab=function(a,b,c,d){if(void 0!=c)switch(b){case Na:wb.test(c)}var e=$a(b);e&amp;&amp;e.o?e.o(a,b,c,d):a.data.set(b,c,d)};var ue=new ee,ve=[],bb=function(a,b,c,d,e){this.name=a;this.F=b;this.Z=d;this.o=e;this.defaultValue=c},$a=function(a){var b=ue.get(a);if(!b)for(var c=0;c&lt;ve.length;c++){var d=ve[c],e=d[0].exec(a);if(e){b=d[1](e);ue.set(b.name,b);break}}return b},yc=function(a){var b;ue.map(function(c,d){d.F==a&amp;&amp;(b=d)});return b&amp;&amp;b.name},S=function(a,b,c,d,e){a=new bb(a,b,c,d,e);ue.set(a.name,a);return a.name},cb=function(a,b){ve.push([new RegExp("^"+a+"$"),b])},T=function(a,b,c){return S(a,b,c,void 0,db)},db=function(){};var hb=T("apiVersion","v"),ib=T("clientVersion","_v");S("anonymizeIp","aip");var jb=S("adSenseId","a"),Va=S("hitType","t"),Ia=S("hitCallback"),Ra=S("hitPayload");S("nonInteraction","ni");S("currencyCode","cu");S("dataSource","ds");var Vd=S("useBeacon",void 0,!1),fa=S("transport");S("sessionControl","sc","");S("sessionGroup","sg");S("queueTime","qt");var Ac=S("_s","_s");S("screenName","cd");var kb=S("location","dl",""),lb=S("referrer","dr"),mb=S("page","dp","");S("hostname","dh");</span>
<span class="cstat-no" title="statement not covered" >var nb=S("language","ul"),ob=S("encoding","de");S("title","dt",function(){return M.title||void 0});cb("contentGroup([0-9]+)",function(a){return new bb(a[0],"cg"+a[1])});var pb=S("screenColors","sd"),qb=S("screenResolution","sr"),rb=S("viewportSize","vp"),sb=S("javaEnabled","je"),tb=S("flashVersion","fl");S("campaignId","ci");S("campaignName","cn");S("campaignSource","cs");S("campaignMedium","cm");S("campaignKeyword","ck");S("campaignContent","cc");</span>
var ub=S("eventCategory","ec"),xb=S("eventAction","ea"),yb=S("eventLabel","el"),zb=S("eventValue","ev"),Bb=S("socialNetwork","sn"),Cb=S("socialAction","sa"),Db=S("socialTarget","st"),Eb=S("l1","plt"),Fb=S("l2","pdt"),Gb=S("l3","dns"),Hb=S("l4","rrt"),Ib=S("l5","srt"),Jb=S("l6","tcp"),Kb=S("l7","dit"),Lb=S("l8","clt"),Ve=S("l9","_gst"),We=S("l10","_gbt"),Xe=S("l11","_cst"),Ye=S("l12","_cbt"),Mb=S("timingCategory","utc"),Nb=S("timingVar","utv"),Ob=S("timingLabel","utl"),Pb=S("timingValue","utt");
<span class="cstat-no" title="statement not covered" >S("appName","an");S("appVersion","av","");S("appId","aid","");S("appInstallerId","aiid","");S("exDescription","exd");S("exFatal","exf");var Nc=S("expId","xid"),Oc=S("expVar","xvar"),m=S("exp","exp"),Rc=S("_utma","_utma"),Sc=S("_utmz","_utmz"),Tc=S("_utmht","_utmht"),Ua=S("_hc",void 0,0),Xa=S("_ti",void 0,0),Wa=S("_to",void 0,20);cb("dimension([0-9]+)",function(a){return new bb(a[0],"cd"+a[1])});cb("metric([0-9]+)",function(a){return new bb(a[0],"cm"+a[1])});S("linkerParam",void 0,void 0,Bc,db);</span>
<span class="cstat-no" title="statement not covered" >var Ze=T("_cd2l",void 0,!1),ld=S("usage","_u"),Gd=S("_um");S("forceSSL",void 0,void 0,function(){return Ba},function(a,b,c){J(34);Ba=!!c});var ed=S("_j1","jid"),ia=S("_j2","gjid");cb("\\&amp;(.*)",function(a){var b=new bb(a[0],a[1]),c=yc(a[0].substring(1));c&amp;&amp;(b.Z=function(d){return d.get(c)},b.o=function(d,e,g,ca){d.set(c,g,ca)},b.F=void 0);return b});</span>
var Qb=T("_oot"),dd=S("previewTask"),Rb=S("checkProtocolTask"),md=S("validationTask"),Sb=S("checkStorageTask"),Uc=S("historyImportTask"),Tb=S("samplerTask"),Vb=S("_rlt"),Wb=S("buildHitTask"),Xb=S("sendHitTask"),Vc=S("ceTask"),zd=S("devIdTask"),Cd=S("timingTask"),Ld=S("displayFeaturesTask"),oa=S("customTask"),ze=S("fpsCrossDomainTask"),V=T("name"),Q=T("clientId","cid"),n=T("clientIdTime"),xd=T("storedClientId"),Ad=S("userId","uid"),Na=T("trackingId","tid"),U=T("cookieName",void 0,"_ga"),W=T("cookieDomain"),
Yb=T("cookiePath",void 0,"/"),Zb=T("cookieExpires",void 0,63072E3),Hd=T("cookieUpdate",void 0,!0),Be=T("cookieFlags",void 0,""),$b=T("legacyCookieDomain"),Wc=T("legacyHistoryImport",void 0,!0),ac=T("storage",void 0,"cookie"),bc=T("allowLinker",void 0,!1),cc=T("allowAnchor",void 0,!0),Ka=T("sampleRate","sf",100),dc=T("siteSpeedSampleRate",void 0,1),ec=T("alwaysSendReferrer",void 0,!1),I=T("_gid","_gid"),la=T("_gcn"),Kd=T("useAmpClientId"),ce=T("_gclid"),fe=T("_gt"),he=T("_ge",void 0,7776E6),ie=T("_gclsrc"),
<span class="cstat-no" title="statement not covered" >je=T("storeGac",void 0,!0),oe=S("_x_19"),Ae=S("_fplc"),gd=S("transportUrl"),Md=S("_r","_r"),qe=S("_dp"),ad=S("_jt",void 0,"n"),Ud=S("allowAdFeatures",void 0,!0),xe=S("allowAdPersonalizationSignals",void 0,!0);function X(a,b,c,d){b[a]=function(){try{return d&amp;&amp;J(d),c.apply(this,arguments)}catch(e){throw ge("exc",a,e&amp;&amp;e.name),e;}}};var Od=function(){this.V=100;this.$=this.fa=!1;this.oa="detourexp";this.groups=1},Ed=function(a){var b=new Od,c;if(b.fa&amp;&amp;b.$)return 0;b.$=!0;if(a){if(b.oa&amp;&amp;void 0!==a.get(b.oa))return R(a,b.oa);if(0==a.get(dc))return 0}if(0==b.V)return 0;void 0===c&amp;&amp;(c=Bd());return 0==c%b.V?Math.floor(c/b.V)%b.groups+1:0};function fc(){var a,b;if((b=(b=O.navigator)?b.plugins:null)&amp;&amp;b.length)for(var c=0;c&lt;b.length&amp;&amp;!a;c++){var d=b[c];-1&lt;d.name.indexOf("Shockwave Flash")&amp;&amp;(a=d.description)}if(!a)try{var e=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7");a=e.GetVariable("$version")}catch(g){}if(!a)try{e=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6"),a="WIN 6,0,21,0",e.AllowScriptAccess="always",a=e.GetVariable("$version")}catch(g){}if(!a)try{e=new ActiveXObject("ShockwaveFlash.ShockwaveFlash"),a=e.GetVariable("$version")}catch(g){}a&amp;&amp;</span>
<span class="cstat-no" title="statement not covered" >(e=a.match(/[\d]+/g))&amp;&amp;3&lt;=e.length&amp;&amp;(a=e[0]+"."+e[1]+" r"+e[2]);return a||void 0};var Ee=function(){var a=Ca("FPLC");return 0&lt;a.length?a[0]:void 0},Fe=function(a){P(a,oe)&amp;&amp;a.get(Ze)&amp;&amp;a.set(Ae,Ee()||"")};var aa=function(a){var b=Math.min(R(a,dc),100);return La(P(a,Q))%100&gt;=b?!1:!0},gc=function(a){var b={};if(Ec(b)||Fc(b)){var c=b[Eb];void 0==c||Infinity==c||isNaN(c)||(0&lt;c?(Y(b,Gb),Y(b,Jb),Y(b,Ib),Y(b,Fb),Y(b,Hb),Y(b,Kb),Y(b,Lb),Y(b,Ve),Y(b,We),Y(b,Xe),Y(b,Ye),va(function(){a(b)},10)):L(O,"load",function(){gc(a)},!1))}},Ec=function(a){var b=O.performance||O.webkitPerformance;b=b&amp;&amp;b.timing;if(!b)return!1;var c=b.navigationStart;if(0==c)return!1;a[Eb]=b.loadEventStart-c;a[Gb]=b.domainLookupEnd-b.domainLookupStart;</span>
<span class="cstat-no" title="statement not covered" >a[Jb]=b.connectEnd-b.connectStart;a[Ib]=b.responseStart-b.requestStart;a[Fb]=b.responseEnd-b.responseStart;a[Hb]=b.fetchStart-c;a[Kb]=b.domInteractive-c;a[Lb]=b.domContentLoadedEventStart-c;a[Ve]=N.L-c;a[We]=N.ya-c;O.google_tag_manager&amp;&amp;O.google_tag_manager._li&amp;&amp;(b=O.google_tag_manager._li,a[Xe]=b.cst,a[Ye]=b.cbt);return!0},Fc=function(a){if(O.top!=O)return!1;var b=O.external,c=b&amp;&amp;b.onloadT;b&amp;&amp;!b.isValidLoadTime&amp;&amp;(c=void 0);2147483648&lt;c&amp;&amp;(c=void 0);0&lt;c&amp;&amp;b.setPageReadyTime();if(void 0==c)return!1;</span>
<span class="cstat-no" title="statement not covered" >a[Eb]=c;return!0},Y=function(a,b){var c=a[b];if(isNaN(c)||Infinity==c||0&gt;c)a[b]=void 0},Fd=function(a){return function(b){if("pageview"==b.get(Va)&amp;&amp;!a.I){a.I=!0;var c=aa(b),d=0&lt;E(P(b,kb),"gclid").length;(c||d)&amp;&amp;gc(function(e){c&amp;&amp;a.send("timing",e);d&amp;&amp;a.send("adtiming",e)})}}};var hc=!1,mc=function(a){if("cookie"==P(a,ac)){if(a.get(Hd)||P(a,xd)!=P(a,Q)){var b=1E3*R(a,Zb);ma(a,Q,U,b);a.data.set(xd,P(a,Q))}(a.get(Hd)||uc(a)!=P(a,I))&amp;&amp;ma(a,I,la,864E5);if(a.get(je)){var c=P(a,ce);if(c){var d=Math.min(R(a,he),1E3*R(a,Zb));d=Math.min(d,1E3*R(a,fe)+d-(new Date).getTime());a.data.set(he,d);b={};var e=P(a,fe),g=P(a,ie),ca=kc(P(a,Yb)),l=lc(P(a,W)),k=P(a,Na),w=P(a,Be);g&amp;&amp;"aw.ds"!=g?b&amp;&amp;(b.ua=!0):(c=["1",e,Cc(c)].join("."),0&lt;d&amp;&amp;(b&amp;&amp;(b.ta=!0),zc("_gac_"+Cc(k),c,ca,l,k,d,w)));le(b)}}else J(75);</span>
<span class="cstat-no" title="statement not covered" >(a=P(a,Ae))&amp;&amp;zc("FPLC",a,"/","none","",void 0,"Secure")}},ma=function(a,b,c,d){var e=nd(a,b);if(e){c=P(a,c);var g=kc(P(a,Yb)),ca=lc(P(a,W)),l=P(a,Be),k=P(a,Na);if("auto"!=ca)zc(c,e,g,ca,k,d,l)&amp;&amp;(hc=!0);else{J(32);for(var w=id(),Ce=0;Ce&lt;w.length;Ce++)if(ca=w[Ce],a.data.set(W,ca),e=nd(a,b),zc(c,e,g,ca,k,d,l)){hc=!0;return}a.data.set(W,"auto")}}},uc=function(a){var b=Ca(P(a,la));return Xd(a,b)},nc=function(a){if("cookie"==P(a,ac)&amp;&amp;!hc&amp;&amp;(mc(a),!hc))throw"abort";},Yc=function(a){if(a.get(Wc)){var b=P(a,</span>
<span class="cstat-no" title="statement not covered" >W),c=P(a,$b)||xa(),d=Xc("__utma",c,b);d&amp;&amp;(J(19),a.set(Tc,(new Date).getTime(),!0),a.set(Rc,d.R),(b=Xc("__utmz",c,b))&amp;&amp;d.hash==b.hash&amp;&amp;a.set(Sc,b.R))}},nd=function(a,b){b=Cc(P(a,b));var c=lc(P(a,W)).split(".").length;a=jc(P(a,Yb));1&lt;a&amp;&amp;(c+="-"+a);return b?["GA1",c,b].join("."):""},Xd=function(a,b){return na(b,P(a,W),P(a,Yb))},na=function(a,b,c){if(!a||1&gt;a.length)J(12);else{for(var d=[],e=0;e&lt;a.length;e++){var g=a[e];var ca=g.split(".");var l=ca.shift();("GA1"==l||"1"==l)&amp;&amp;1&lt;ca.length?(g=ca.shift().split("-"),</span>
<span class="cstat-no" title="statement not covered" >1==g.length&amp;&amp;(g[1]="1"),g[0]*=1,g[1]*=1,ca={H:g,s:ca.join(".")}):ca=kd.test(g)?{H:[0,0],s:g}:void 0;ca&amp;&amp;d.push(ca)}if(1==d.length)return J(13),d[0].s;if(0==d.length)J(12);else{J(14);d=Gc(d,lc(b).split(".").length,0);if(1==d.length)return d[0].s;d=Gc(d,jc(c),1);1&lt;d.length&amp;&amp;J(41);return d[0]&amp;&amp;d[0].s}}},Gc=function(a,b,c){for(var d=[],e=[],g,ca=0;ca&lt;a.length;ca++){var l=a[ca];l.H[c]==b?d.push(l):void 0==g||l.H[c]&lt;g?(e=[l],g=l.H[c]):l.H[c]==g&amp;&amp;e.push(l)}return 0&lt;d.length?d:e},lc=function(a){return 0==</span>
<span class="cstat-no" title="statement not covered" >a.indexOf(".")?a.substr(1):a},id=function(){var a=[],b=xa().split(".");if(4==b.length){var c=b[b.length-1];if(parseInt(c,10)==c)return["none"]}for(c=b.length-2;0&lt;=c;c--)a.push(b.slice(c).join("."));b=M.location.hostname;eb.test(b)||vc.test(b)||a.push("none");return a},kc=function(a){if(!a)return"/";1&lt;a.length&amp;&amp;a.lastIndexOf("/")==a.length-1&amp;&amp;(a=a.substr(0,a.length-1));0!=a.indexOf("/")&amp;&amp;(a="/"+a);return a},jc=function(a){a=kc(a);return"/"==a?1:a.split("/").length},le=function(a){a.ta&amp;&amp;J(77);a.na&amp;&amp;</span>
<span class="cstat-no" title="statement not covered" >J(74);a.pa&amp;&amp;J(73);a.ua&amp;&amp;J(69)};function Xc(a,b,c){"none"==b&amp;&amp;(b="");var d=[],e=Ca(a);a="__utma"==a?6:2;for(var g=0;g&lt;e.length;g++){var ca=(""+e[g]).split(".");ca.length&gt;=a&amp;&amp;d.push({hash:ca[0],R:e[g],O:ca})}if(0!=d.length)return 1==d.length?d[0]:Zc(b,d)||Zc(c,d)||Zc(null,d)||d[0]}function Zc(a,b){if(null==a)var c=a=1;else c=La(a),a=La(D(a,".")?a.substring(1):"."+a);for(var d=0;d&lt;b.length;d++)if(b[d].hash==c||b[d].hash==a)return b[d]};var Jc=new RegExp(/^https?:\/\/([^\/:]+)/),De=O.google_tag_data.glBridge,Kc=/(.*)([?&amp;#])(?:_ga=[^&amp;#]*)(?:&amp;?)(.*)/,od=/(.*)([?&amp;#])(?:_gac=[^&amp;#]*)(?:&amp;?)(.*)/;function Bc(a){if(a.get(Ze))return J(35),De.generate($e(a));var b=P(a,Q),c=P(a,I)||"";b="_ga=2."+K(pa(c+b,0)+"."+c+"-"+b);(a=af(a))?(J(44),a="&amp;_gac=1."+K([pa(a.qa,0),a.timestamp,a.qa].join("."))):a="";return b+a}</span>
<span class="cstat-no" title="statement not covered" >function Ic(a,b){var c=new Date,d=O.navigator,e=d.plugins||[];a=[a,d.userAgent,c.getTimezoneOffset(),c.getYear(),c.getDate(),c.getHours(),c.getMinutes()+b];for(b=0;b&lt;e.length;++b)a.push(e[b].description);return La(a.join("."))}function pa(a,b){var c=new Date,d=O.navigator,e=c.getHours()+Math.floor((c.getMinutes()+b)/60);return La([a,d.userAgent,d.language||"",c.getTimezoneOffset(),c.getYear(),c.getDate()+Math.floor(e/24),(24+e)%24,(60+c.getMinutes()+b)%60].join("."))}</span>
<span class="cstat-no" title="statement not covered" >var Dc=function(a){J(48);this.target=a;this.T=!1};Dc.prototype.ca=function(a,b){if(a){if(this.target.get(Ze))return De.decorate($e(this.target),a,b);if(a.tagName){if("a"==a.tagName.toLowerCase()){a.href&amp;&amp;(a.href=qd(this,a.href,b));return}if("form"==a.tagName.toLowerCase())return rd(this,a)}if("string"==typeof a)return qd(this,a,b)}};</span>
<span class="cstat-no" title="statement not covered" >var qd=function(a,b,c){var d=Kc.exec(b);d&amp;&amp;3&lt;=d.length&amp;&amp;(b=d[1]+(d[3]?d[2]+d[3]:""));(d=od.exec(b))&amp;&amp;3&lt;=d.length&amp;&amp;(b=d[1]+(d[3]?d[2]+d[3]:""));a=a.target.get("linkerParam");var e=b.indexOf("?");d=b.indexOf("#");c?b+=(-1==d?"#":"&amp;")+a:(c=-1==e?"?":"&amp;",b=-1==d?b+(c+a):b.substring(0,d)+c+a+b.substring(d));b=b.replace(/&amp;+_ga=/,"&amp;_ga=");return b=b.replace(/&amp;+_gac=/,"&amp;_gac=")},rd=function(a,b){if(b&amp;&amp;b.action)if("get"==b.method.toLowerCase()){a=a.target.get("linkerParam").split("&amp;");for(var c=0;c&lt;a.length;c++){var d=</span>
<span class="cstat-no" title="statement not covered" >a[c].split("="),e=d[1];d=d[0];for(var g=b.childNodes||[],ca=!1,l=0;l&lt;g.length;l++)if(g[l].name==d){g[l].setAttribute("value",e);ca=!0;break}ca||(g=M.createElement("input"),g.setAttribute("type","hidden"),g.setAttribute("name",d),g.setAttribute("value",e),b.appendChild(g))}}else"post"==b.method.toLowerCase()&amp;&amp;(b.action=qd(a,b.action))};</span>
<span class="cstat-no" title="statement not covered" >Dc.prototype.S=function(a,b,c){function d(g){try{g=g||O.event;a:{var ca=g.target||g.srcElement;for(g=100;ca&amp;&amp;0&lt;g;){if(ca.href&amp;&amp;ca.nodeName.match(/^a(?:rea)?$/i)){var l=ca;break a}ca=ca.parentNode;g--}l={}}("http:"==l.protocol||"https:"==l.protocol)&amp;&amp;sd(a,l.hostname||"")&amp;&amp;l.href&amp;&amp;(l.href=qd(e,l.href,b))}catch(k){J(26)}}var e=this;this.target.get(Ze)?De.auto(function(){return $e(e.target)},a,b?"fragment":"",c):(this.T||(this.T=!0,L(M,"mousedown",d,!1),L(M,"keyup",d,!1)),c&amp;&amp;L(M,"submit",function(g){g=</span>
<span class="cstat-no" title="statement not covered" >g||O.event;if((g=g.target||g.srcElement)&amp;&amp;g.action){var ca=g.action.match(Jc);ca&amp;&amp;sd(a,ca[1])&amp;&amp;rd(e,g)}}))};function sd(a,b){if(b==M.location.hostname)return!1;for(var c=0;c&lt;a.length;c++)if(a[c]instanceof RegExp){if(a[c].test(b))return!0}else if(0&lt;=b.indexOf(a[c]))return!0;return!1}function ke(a,b){return b!=Ic(a,0)&amp;&amp;b!=Ic(a,-1)&amp;&amp;b!=Ic(a,-2)&amp;&amp;b!=pa(a,0)&amp;&amp;b!=pa(a,-1)&amp;&amp;b!=pa(a,-2)}</span>
<span class="cstat-no" title="statement not covered" >function $e(a){var b=af(a),c={};return c._ga=a.get(Q),c._gid=a.get(I)||void 0,c._gac=b?[b.qa,b.timestamp].join("."):void 0,c._fplc=Ee(),c}function af(a){function b(e){return void 0==e||""===e?0:Number(e)}var c=a.get(ce);if(c&amp;&amp;a.get(je)){var d=b(a.get(fe));if(1E3*d+b(a.get(he))&lt;=(new Date).getTime())J(76);else return{timestamp:d,qa:c}}};var p=/^(GTM|OPT)-[A-Z0-9]+$/,q=/;_gaexp=[^;]*/g,r=/;((__utma=)|([^;=]+=GAX?\d+\.))[^;]*/g,Aa=/^https?:\/\/[\w\-.]+\.google.com(:\d+)?\/optimize\/opt-launch\.html\?.*$/,t=function(a){function b(d,e){e&amp;&amp;(c+="&amp;"+d+"="+K(e))}var c="https://www.google-analytics.com/gtm/js?id="+K(a.id);"dataLayer"!=a.B&amp;&amp;b("l",a.B);b("t",a.target);b("cid",a.clientId);b("cidt",a.ka);b("gac",a.la);b("aip",a.ia);a.sync&amp;&amp;b("m","sync");b("cycle",a.G);a.qa&amp;&amp;b("gclid",a.qa);Aa.test(M.referrer)&amp;&amp;b("cb",String(hd()));return c};var Jd=function(a,b,c){this.aa=b;(b=c)||(b=(b=P(a,V))&amp;&amp;"t0"!=b?Wd.test(b)?"_gat_"+Cc(P(a,Na)):"_gat_"+Cc(b):"_gat");this.Y=b;this.ra=null},Rd=function(a,b){var c=b.get(Wb);b.set(Wb,function(e){Pd(a,e,ed);Pd(a,e,ia);var g=c(e);Qd(a,e);return g});var d=b.get(Xb);b.set(Xb,function(e){var g=d(e);if(se(e)){if(ne()!==H(a,e)){J(80);var ca={U:re(a,e,1),google:re(a,e,2),count:0};pe("https://stats.g.doubleclick.net/j/collect",ca.U,ca)}else ta(re(a,e,0));e.set(ed,"",!0)}return g})},Pd=function(a,b,c){!1===b.get(Ud)||</span>
<span class="cstat-no" title="statement not covered" >b.get(c)||("1"==Ca(a.Y)[0]?b.set(c,"",!0):b.set(c,""+hd(),!0))},Qd=function(a,b){se(b)&amp;&amp;zc(a.Y,"1",P(b,Yb),P(b,W),P(b,Na),6E4,P(b,Be))},se=function(a){return!!a.get(ed)&amp;&amp;!1!==a.get(Ud)},re=function(a,b,c){var d=new ee,e=function(ca){$a(ca).F&amp;&amp;d.set($a(ca).F,b.get(ca))};e(hb);e(ib);e(Na);e(Q);e(ed);if(0==c||1==c)e(Ad),e(ia),e(I);d.set($a(ld).F,Td(b));var g="";d.map(function(ca,l){g+=K(ca)+"=";g+=K(""+l)+"&amp;"});g+="z="+hd();0==c?g=a.aa+g:1==c?g="t=dc&amp;aip=1&amp;_r=3&amp;"+g:2==c&amp;&amp;(g="t=sr&amp;aip=1&amp;_r=4&amp;slf_rd=1&amp;"+</span>
<span class="cstat-no" title="statement not covered" >g);return g},H=function(a,b){null===a.ra&amp;&amp;(a.ra=1===Ed(b),a.ra&amp;&amp;J(33));return a.ra},Wd=/^gtm\d+$/;var fd=function(a,b){a=a.b;if(!a.get("dcLoaded")){var c=new $c(Dd(a));c.set(29);a.set(Gd,c.w);b=b||{};var d;b[U]&amp;&amp;(d=Cc(b[U]));b=new Jd(a,"https://stats.g.doubleclick.net/r/collect?t=dc&amp;aip=1&amp;_r=3&amp;",d);Rd(b,a);a.set("dcLoaded",!0)}};var Sd=function(a){if(!a.get("dcLoaded")&amp;&amp;"cookie"==a.get(ac)){var b=new Jd(a);Pd(b,a,ed);Pd(b,a,ia);Qd(b,a);if(se(a)){var c=ne()!==H(b,a);a.set(Md,1,!0);c?(J(79),a.set(ad,"d",!0),a.set(qe,{U:re(b,a,1),google:re(b,a,2),count:0},!0)):a.set(ad,"b",!0)}}};var Lc=function(){var a=O.gaGlobal=O.gaGlobal||{};return a.hid=a.hid||hd()};var wb=/^(UA|YT|MO|GP)-(\d+)-(\d+)$/,pc=function(a){function b(e,g){d.b.data.set(e,g)}function c(e,g){b(e,g);d.filters.add(e)}var d=this;this.b=new Ya;this.filters=new Ha;b(V,a[V]);b(Na,sa(a[Na]));b(U,a[U]);b(W,a[W]||xa());b(Yb,a[Yb]);b(Zb,a[Zb]);b(Hd,a[Hd]);b(Be,a[Be]);b($b,a[$b]);b(Wc,a[Wc]);b(bc,a[bc]);b(cc,a[cc]);b(Ka,a[Ka]);b(dc,a[dc]);b(ec,a[ec]);b(ac,a[ac]);b(Ad,a[Ad]);b(n,a[n]);b(Kd,a[Kd]);b(je,a[je]);b(Ze,a[Ze]);b(oe,a[oe]);b(hb,1);b(ib,"j82");c(Qb,Ma);c(oa,ua);c(dd,cd);c(Rb,Oa);c(md,vb);</span>
<span class="cstat-no" title="statement not covered" >c(Sb,nc);c(Uc,Yc);c(Tb,Ja);c(Vb,Ta);c(Vc,Hc);c(zd,yd);c(Ld,Sd);c(ze,Fe);c(Wb,Pa);c(Xb,Sa);c(Cd,Fd(this));pd(this.b);td(this.b,a[Q]);this.b.set(jb,Lc())},td=function(a,b){var c=P(a,U);a.data.set(la,"_ga"==c?"_gid":c+"_gid");if("cookie"==P(a,ac)){hc=!1;c=Ca(P(a,U));c=Xd(a,c);if(!c){c=P(a,W);var d=P(a,$b)||xa();c=Xc("__utma",d,c);void 0!=c?(J(10),c=c.O[1]+"."+c.O[2]):c=void 0}c&amp;&amp;(hc=!0);if(d=c&amp;&amp;!a.get(Hd))if(d=c.split("."),2!=d.length)d=!1;else if(d=Number(d[1])){var e=R(a,Zb);d=d+e&lt;(new Date).getTime()/</span>
<span class="cstat-no" title="statement not covered" >1E3}else d=!1;d&amp;&amp;(c=void 0);c&amp;&amp;(a.data.set(xd,c),a.data.set(Q,c),(c=uc(a))&amp;&amp;a.data.set(I,c));if(a.get(je)&amp;&amp;(c=a.get(ce),d=a.get(ie),!c||d&amp;&amp;"aw.ds"!=d)){c={};if(M){d=[];e=M.cookie.split(";");for(var g=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,ca=0;ca&lt;e.length;ca++){var l=e[ca].match(g);l&amp;&amp;d.push({ja:l[1],value:l[2]})}e={};if(d&amp;&amp;d.length)for(g=0;g&lt;d.length;g++)(ca=d[g].value.split("."),"1"!=ca[0]||3!=ca.length)?c&amp;&amp;(c.na=!0):ca[1]&amp;&amp;(e[d[g].ja]?c&amp;&amp;(c.pa=!0):e[d[g].ja]=[],e[d[g].ja].push({timestamp:ca[1],qa:ca[2]}));</span>
<span class="cstat-no" title="statement not covered" >d=e}else d={};d=d[P(a,Na)];le(c);d&amp;&amp;0!=d.length&amp;&amp;(c=d[0],a.data.set(fe,c.timestamp),a.data.set(ce,c.qa))}}if(a.get(Hd)&amp;&amp;(c=be("_ga",!!a.get(cc)),g=be("_gl",!!a.get(cc)),d=De.get(a.get(cc)),e=d._ga,g&amp;&amp;0&lt;g.indexOf("_ga*")&amp;&amp;!e&amp;&amp;J(30),g=d.gclid,ca=d._gac,c||e||g||ca))if(c&amp;&amp;e&amp;&amp;J(36),a.get(bc)||ye(a.get(Kd))){e&amp;&amp;(J(38),a.data.set(Q,e),d._gid&amp;&amp;(J(51),a.data.set(I,d._gid)));g?(J(82),a.data.set(ce,g),d.gclsrc&amp;&amp;a.data.set(ie,d.gclsrc)):ca&amp;&amp;(e=ca.split("."))&amp;&amp;2===e.length&amp;&amp;(J(37),a.data.set(ce,e[0]),a.data.set(fe,</span>
<span class="cstat-no" title="statement not covered" >e[1]));if(d=d._fplc)J(83),a.data.set(Ae,d);if(c)b:if(d=c.indexOf("."),-1==d)J(22);else{e=c.substring(0,d);g=c.substring(d+1);d=g.indexOf(".");c=g.substring(0,d);g=g.substring(d+1);if("1"==e){if(d=g,ke(d,c)){J(23);break b}}else if("2"==e){d=g.indexOf("-");e="";0&lt;d?(e=g.substring(0,d),d=g.substring(d+1)):d=g.substring(1);if(ke(e+d,c)){J(53);break b}e&amp;&amp;(J(2),a.data.set(I,e))}else{J(22);break b}J(11);a.data.set(Q,d);if(c=be("_gac",!!a.get(cc)))c=c.split("."),"1"!=c[0]||4!=c.length?J(72):ke(c[3],c[1])?</span>
<span class="cstat-no" title="statement not covered" >J(71):(a.data.set(ce,c[3]),a.data.set(fe,c[2]),J(70))}}else J(21);b&amp;&amp;(J(9),a.data.set(Q,K(b)));a.get(Q)||(b=(b=O.gaGlobal)&amp;&amp;b.from_cookie&amp;&amp;"cookie"!==P(a,ac)?void 0:(b=b&amp;&amp;b.vid)&amp;&amp;-1!==b.search(jd)?b:void 0,b?(J(17),a.data.set(Q,b)):(J(8),a.data.set(Q,ra())));a.get(I)||(J(3),a.data.set(I,ra()));mc(a);b=O.gaGlobal=O.gaGlobal||{};c=P(a,Q);a=c===P(a,xd);if(void 0==b.vid||a&amp;&amp;!b.from_cookie)b.vid=c,b.from_cookie=a},pd=function(a){var b=O.navigator,c=O.screen,d=M.location;a.set(lb,ya(!!a.get(ec),!!a.get(Kd)));</span>
<span class="cstat-no" title="statement not covered" >if(d){var e=d.pathname||"";"/"!=e.charAt(0)&amp;&amp;(J(31),e="/"+e);a.set(kb,d.protocol+"//"+d.hostname+e+d.search)}c&amp;&amp;a.set(qb,c.width+"x"+c.height);c&amp;&amp;a.set(pb,c.colorDepth+"-bit");c=M.documentElement;var g=(e=M.body)&amp;&amp;e.clientWidth&amp;&amp;e.clientHeight,ca=[];c&amp;&amp;c.clientWidth&amp;&amp;c.clientHeight&amp;&amp;("CSS1Compat"===M.compatMode||!g)?ca=[c.clientWidth,c.clientHeight]:g&amp;&amp;(ca=[e.clientWidth,e.clientHeight]);c=0&gt;=ca[0]||0&gt;=ca[1]?"":ca.join("x");a.set(rb,c);a.set(tb,fc());a.set(ob,M.characterSet||M.charset);a.set(sb,b&amp;&amp;</span>
<span class="cstat-no" title="statement not covered" >"function"===typeof b.javaEnabled&amp;&amp;b.javaEnabled()||!1);a.set(nb,(b&amp;&amp;(b.language||b.browserLanguage)||"").toLowerCase());a.data.set(ce,be("gclid",!0));a.data.set(ie,be("gclsrc",!0));a.data.set(fe,Math.round((new Date).getTime()/1E3));if(d&amp;&amp;a.get(cc)&amp;&amp;(b=M.location.hash)){b=b.split(/[?&amp;#]+/);d=[];for(c=0;c&lt;b.length;++c)(D(b[c],"utm_id")||D(b[c],"utm_campaign")||D(b[c],"utm_source")||D(b[c],"utm_medium")||D(b[c],"utm_term")||D(b[c],"utm_content")||D(b[c],"gclid")||D(b[c],"dclid")||D(b[c],"gclsrc"))&amp;&amp;</span>
<span class="cstat-no" title="statement not covered" >d.push(b[c]);0&lt;d.length&amp;&amp;(b="#"+d.join("&amp;"),a.set(kb,a.get(kb)+b))}};pc.prototype.get=function(a){return this.b.get(a)};pc.prototype.set=function(a,b){this.b.set(a,b)};var me={pageview:[mb],event:[ub,xb,yb,zb],social:[Bb,Cb,Db],timing:[Mb,Nb,Pb,Ob]};</span>
<span class="cstat-no" title="statement not covered" >pc.prototype.send=function(a){if(!(1&gt;arguments.length)){if("string"===typeof arguments[0]){var b=arguments[0];var c=[].slice.call(arguments,1)}else b=arguments[0]&amp;&amp;arguments[0][Va],c=arguments;b&amp;&amp;(c=za(me[b]||[],c),c[Va]=b,this.b.set(c,void 0,!0),this.filters.D(this.b),this.b.data.m={})}};pc.prototype.ma=function(a,b){var c=this;u(a,c,b)||(v(a,function(){u(a,c,b)}),y(String(c.get(V)),a,void 0,b,!0))};var rc=function(a){if("prerender"==M.visibilityState)return!1;a();return!0},z=function(a){if(!rc(a)){J(16);var b=!1,c=function(){if(!b&amp;&amp;rc(a)){b=!0;var d=c,e=M;e.removeEventListener?e.removeEventListener("visibilitychange",d,!1):e.detachEvent&amp;&amp;e.detachEvent("onvisibilitychange",d)}};L(M,"visibilitychange",c)}};var te=/^(?:(\w+)\.)?(?:(\w+):)?(\w+)$/,sc=function(a){if(ea(a[0]))this.u=a[0];else{var b=te.exec(a[0]);null!=b&amp;&amp;4==b.length&amp;&amp;(this.c=b[1]||"t0",this.K=b[2]||"",this.methodName=b[3],this.a=[].slice.call(a,1),this.K||(this.A="create"==this.methodName,this.i="require"==this.methodName,this.g="provide"==this.methodName,this.ba="remove"==this.methodName),this.i&amp;&amp;(3&lt;=this.a.length?(this.X=this.a[1],this.W=this.a[2]):this.a[1]&amp;&amp;(qa(this.a[1])?this.X=this.a[1]:this.W=this.a[1])));b=a[1];a=a[2];if(!this.methodName)throw"abort";</span>
<span class="cstat-no" title="statement not covered" >if(this.i&amp;&amp;(!qa(b)||""==b))throw"abort";if(this.g&amp;&amp;(!qa(b)||""==b||!ea(a)))throw"abort";if(ud(this.c)||ud(this.K))throw"abort";if(this.g&amp;&amp;"t0"!=this.c)throw"abort";}};function ud(a){return 0&lt;=a.indexOf(".")||0&lt;=a.indexOf(":")};var Yd,Zd,$d,A;Yd=new ee;$d=new ee;A=new ee;Zd={ec:45,ecommerce:46,linkid:47};</span>
<span class="cstat-no" title="statement not covered" >var u=function(a,b,c){b==N||b.get(V);var d=Yd.get(a);if(!ea(d))return!1;b.plugins_=b.plugins_||new ee;if(b.plugins_.get(a))return!0;b.plugins_.set(a,new d(b,c||{}));return!0},y=function(a,b,c,d,e){if(!ea(Yd.get(b))&amp;&amp;!$d.get(b)){Zd.hasOwnProperty(b)&amp;&amp;J(Zd[b]);a=N.j(a);if(p.test(b)){J(52);if(!a)return!0;c=d||{};d={id:b,B:c.dataLayer||"dataLayer",ia:!!a.get("anonymizeIp"),sync:e,G:!1};a.get("&amp;gtm")==b&amp;&amp;(d.G=!0);var g=String(a.get("name"));"t0"!=g&amp;&amp;(d.target=g);G(String(a.get("trackingId")))||(d.clientId=</span>
<span class="cstat-no" title="statement not covered" >String(a.get(Q)),d.ka=Number(a.get(n)),c=c.palindrome?r:q,c=(c=M.cookie.replace(/^|(; +)/g,";").match(c))?c.sort().join("").substring(1):void 0,d.la=c,d.qa=E(a.b.get(kb)||"","gclid"));c=d.B;g=(new Date).getTime();O[c]=O[c]||[];g={"gtm.start":g};e||(g.event="gtm.js");O[c].push(g);c=t(d)}!c&amp;&amp;Zd.hasOwnProperty(b)?(J(39),c=b+".js"):J(43);if(c){if(a){var ca=a.get(oe);qa(ca)||(ca=void 0)}c&amp;&amp;0&lt;=c.indexOf("/")||(c=(ca||bd(!1))+"/plugins/ua/"+c);ca=ae(c);a=ca.protocol;d=M.location.protocol;if(("https:"==a||</span>
<span class="cstat-no" title="statement not covered" >a==d||("http:"!=a?0:"http:"==d))&amp;&amp;B(ca)){if(ca=ca.url)a=(a=M.querySelector&amp;&amp;M.querySelector("script[nonce]")||null)?a.nonce||a.getAttribute&amp;&amp;a.getAttribute("nonce")||"":"",e?(e="",a&amp;&amp;Nd.test(a)&amp;&amp;(e=' nonce="'+a+'"'),f.test(ca)&amp;&amp;M.write("&lt;script"+e+' src="'+ca+'"&gt;\x3c/script&gt;')):(e=M.createElement("script"),e.type="text/javascript",e.async=!0,e.src=ca,a&amp;&amp;e.setAttribute("nonce",a),ca=M.getElementsByTagName("script")[0],ca.parentNode.insertBefore(e,ca));$d.set(b,!0)}}}},v=function(a,b){var c=A.get(a)||</span>
<span class="cstat-no" title="statement not covered" >[];c.push(b);A.set(a,c)},C=function(a,b){Yd.set(a,b);b=A.get(a)||[];for(var c=0;c&lt;b.length;c++)b[c]();A.set(a,[])},B=function(a){var b=ae(M.location.href);if(D(a.url,"https://www.google-analytics.com/gtm/js?id="))return!0;if(a.query||0&lt;=a.url.indexOf("?")||0&lt;=a.path.indexOf("://"))return!1;if(a.host==b.host&amp;&amp;a.port==b.port)return!0;b="http:"==a.protocol?80:443;return"www.google-analytics.com"==a.host&amp;&amp;(a.port||b)==b&amp;&amp;D(a.path,"/plugins/")?!0:!1},ae=function(a){function b(l){var k=l.hostname||"",w=</span>
<span class="cstat-no" title="statement not covered" >0&lt;=k.indexOf("]");k=k.split(w?"]":":")[0].toLowerCase();w&amp;&amp;(k+="]");w=(l.protocol||"").toLowerCase();w=1*l.port||("http:"==w?80:"https:"==w?443:"");l=l.pathname||"";D(l,"/")||(l="/"+l);return[k,""+w,l]}var c=M.createElement("a");c.href=M.location.href;var d=(c.protocol||"").toLowerCase(),e=b(c),g=c.search||"",ca=d+"//"+e[0]+(e[1]?":"+e[1]:"");D(a,"//")?a=d+a:D(a,"/")?a=ca+a:!a||D(a,"?")?a=ca+e[2]+(a||g):0&gt;a.split("/")[0].indexOf(":")&amp;&amp;(a=ca+e[2].substring(0,e[2].lastIndexOf("/"))+"/"+a);c.href=a;</span>
<span class="cstat-no" title="statement not covered" >d=b(c);return{protocol:(c.protocol||"").toLowerCase(),host:d[0],port:d[1],path:d[2],query:c.search||"",url:a||""}};var Z={ga:function(){Z.f=[]}};Z.ga();Z.D=function(a){var b=Z.J.apply(Z,arguments);b=Z.f.concat(b);for(Z.f=[];0&lt;b.length&amp;&amp;!Z.v(b[0])&amp;&amp;!(b.shift(),0&lt;Z.f.length););Z.f=Z.f.concat(b)};Z.J=function(a){for(var b=[],c=0;c&lt;arguments.length;c++)try{var d=new sc(arguments[c]);d.g?C(d.a[0],d.a[1]):(d.i&amp;&amp;(d.ha=y(d.c,d.a[0],d.X,d.W)),b.push(d))}catch(e){}return b};</span>
<span class="cstat-no" title="statement not covered" >Z.v=function(a){try{if(a.u)a.u.call(O,N.j("t0"));else{var b=a.c==gb?N:N.j(a.c);if(a.A){if("t0"==a.c&amp;&amp;(b=N.create.apply(N,a.a),null===b))return!0}else if(a.ba)N.remove(a.c);else if(b)if(a.i){if(a.ha&amp;&amp;(a.ha=y(a.c,a.a[0],a.X,a.W)),!u(a.a[0],b,a.W))return!0}else if(a.K){var c=a.methodName,d=a.a,e=b.plugins_.get(a.K);e[c].apply(e,d)}else b[a.methodName].apply(b,a.a)}}catch(g){}};var N=function(a){J(1);Z.D.apply(Z,[arguments])};N.h={};N.P=[];N.L=0;N.ya=0;N.answer=42;var we=[Na,W,V];N.create=function(a){var b=za(we,[].slice.call(arguments));b[V]||(b[V]="t0");var c=""+b[V];if(N.h[c])return N.h[c];if(da(b))return null;b=new pc(b);N.h[c]=b;N.P.push(b);c=qc().tracker_created;if(ea(c))try{c(b)}catch(d){}return b};N.remove=function(a){for(var b=0;b&lt;N.P.length;b++)if(N.P[b].get(V)==a){N.P.splice(b,1);N.h[a]=null;break}};N.j=function(a){return N.h[a]};N.getAll=function(){return N.P.slice(0)};</span>
<span class="cstat-no" title="statement not covered" >N.N=function(){"ga"!=gb&amp;&amp;J(49);var a=O[gb];if(!a||42!=a.answer){N.L=a&amp;&amp;a.l;N.ya=1*new Date;N.loaded=!0;var b=O[gb]=N;X("create",b,b.create);X("remove",b,b.remove);X("getByName",b,b.j,5);X("getAll",b,b.getAll,6);b=pc.prototype;X("get",b,b.get,7);X("set",b,b.set,4);X("send",b,b.send);X("requireSync",b,b.ma);b=Ya.prototype;X("get",b,b.get);X("set",b,b.set);if("https:"!=M.location.protocol&amp;&amp;!Ba){a:{b=M.getElementsByTagName("script");for(var c=0;c&lt;b.length&amp;&amp;100&gt;c;c++){var d=b[c].src;if(d&amp;&amp;0==d.indexOf(bd(!0)+</span>
<span class="cstat-no" title="statement not covered" >"/analytics")){b=!0;break a}}b=!1}b&amp;&amp;(Ba=!0)}(O.gaplugins=O.gaplugins||{}).Linker=Dc;b=Dc.prototype;C("linker",Dc);X("decorate",b,b.ca,20);X("autoLink",b,b.S,25);C("displayfeatures",fd);C("adfeatures",fd);a=a&amp;&amp;a.q;ka(a)?Z.D.apply(N,a):J(50)}};N.da=function(){for(var a=N.getAll(),b=0;b&lt;a.length;b++)a[b].get(V)};var Ge=N.N,He=O[gb];He&amp;&amp;He.r?Ge():z(Ge);z(function(){Z.D(["provide","render",ua])});})(window);</span>
&nbsp;</pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Tue May 19 2020 11:29:13 GMT+0800 (China Standard Time)
            </div>
        </div>
        <script src="prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="sorter.js"></script>
        <script src="block-navigation.js"></script>
    </body>
</html>
    